/* styles.css */
  body {
    font-family: Arial, sans-serif;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 0;
    padding: 0;
  }
  
  #search-form {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    margin-bottom: 30px;
  }
  
  #search-form input,
  #search-form select,
  #search-form button {
    margin: 5px;
    padding: 8px;
    border-radius: 5px;
    border: none;
    box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.3);
  }

  #search-form input {
    width: 220px;
  }
  
  #search-form select {
    width: 150px;
  }
  
  #search-form button {
    transition: 0.15s;
    background-color: #3f51b5;
    color: white;
    cursor: pointer;
  }
  
  #search-form button:hover {
    background-color: #2c3e50;
  }
  
  #search-form #reset {
    transition: 0.15s;
    background-color: white;
    color: #3f51b5;
  }
  
  #search-form #reset:hover {
    background-color: #3f51b5;
    color: white;
  }
  
  #grid {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
    grid-gap: 20px;
    width: 90%;
  }
  
  .grid-item {
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: #fff;
    box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.3);
    padding: 10px;
    border-radius: 5px;
  }
  
  .grid-item img {
    width: 100%;
    height: auto;
    border-radius: 5px;
  }
  
  .grid-item button {
    margin-top: 5px;
    background-color: #3f51b5;
    color: white;
    border: none;
    padding: 5px 10px;
    border-radius: 5px;
    cursor: pointer;
  }
  
  .grid-item button:hover {
    background-color: #2c3e50;
  }
  
  .grid-item p,
  .grid-item h4 {
    margin: 0;
    padding: 0;
  }
  
  .grid-item p:not(:last-child) {
    margin-bottom: 0.2em;
  }
  
  .centered {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
  }
  
  .centered h1 {
    font-size: 2em;
    text-align: center;
    margin: 0;
  }
  
  #none {
    display: none;
  }
  
  .no-results {
    text-align: center;
    margin-top: 10px;
    color: white;
    font-family: "Georgia", serif;
    margin-bottom: 0;
    font-size: 30px;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.7);
  }  